@ECHO off
rem ******************************************************************************************************************************
rem * Licensed Materials - Property of IBM                                                                                       *
rem * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
rem *                                                                                                                            *
rem *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
rem ******************************************************************************************************************************

IF NOT DEFINED LOCALE (SET LOCALE= )
SET LOCEN=0409
SET LOCIT=0410 
SET LOCJP=0411 
SET LOCKO=0412 
SET LOCPO=0415 
SET LOCCHS=0804
SET LOCCHT=0404

IF NOT DEFINED SQLSERVINST (SET SQLSERVINST= )
IF NOT DEFINED DBNAME      (SET DBNAME= ) 
IF NOT DEFINED CS_SCHEMA   (SET CS_SCHEMA= ) 
IF NOT DEFINED CS_PASSWORD (SET CS_PASSWORD= ) 
IF NOT DEFINED DATA_HOME   (SET DATA_HOME= ) 
IF NOT DEFINED JAVA_HOME (SET JAVA_HOME= )

SET EXITCODE=0
SET MESSAGE= xxx

IF NOT EXIST set_env.bat (
                           SET EXITCODE=4597 
                           GOTO done
                                    ) ELSE (                
                       call set_env.bat
                                  )



IF "%JAVA_HOME%" EQU " " (
SET EXITCODE= 4596 
GOTO done)  


SET CURDIR=%CD%

CD /d "%JAVA_HOME%\bin"
IF "%ERRORLEVEL%" EQU "1" (
SET EXITCODE=4596
GOTO done)

IF NOT EXIST java.exe (
SET EXITCODE= 4598
GOTO done   ) 

CD /d %CURDIR%

set path=%JAVA_HOME%\bin;%path%




REG QUERY "HKCU\Control Panel\International" /v Locale>locale.txt

java com.ibm.rational.vega.dw.SearchAndReplace %LOCIT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCIT%
call lang\it\messages.bat) 
java com.ibm.rational.vega.dw.SearchAndReplace %LOCJP% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCJP%
call lang\jp\messages.bat)
java com.ibm.rational.vega.dw.SearchAndReplace %LOCKO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCKO%
call lang\kr\messages.bat)
java com.ibm.rational.vega.dw.SearchAndReplace %LOCPO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPO%
call lang\pl\messages.bat)
java com.ibm.rational.vega.dw.SearchAndReplace %LOCCHS% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHS%
call lang\zh_CN\messages.bat)
java com.ibm.rational.vega.dw.SearchAndReplace %LOCCHT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHT%
call lang\zh_TW\messages.bat)
java com.ibm.rational.vega.dw.SearchAndReplace %LOCEN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)

IF "%LOCALE%" EQU " " (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)

IF "%1" EQU "-validate" (GOTO validate)



SET EXITCODE=0
SET MESSAGE=No errors



SET /A SILENT=0
IF "%1" EQU "-silent" (
SET /A SILENT=1) 

SET MSSQL_CMD=
IF "%1" EQU "-debug" (SET MSSQL_CMD= -b -l 60 -e ) ELSE (SET MSSQL_CMD= -b -l 60 )
IF "%2" NEQ "" (IF "%2" EQU "-debug" (SET MSSQL_CMD= -b -l 60 -e ) ELSE (SET MSSQL_CMD= -b -l 60 ))

IF %SILENT% EQU 0 (
ECHO %CRREWECH024%)

IF %SILENT% EQU 0 (
SET /P SQLSERVINST=%CRREWPRMPT023%
)
IF "%SQLSERVINST%" NEQ " " (SET SQLSERVINST=%COMPUTERNAME%\%SQLSERVINST%) ELSE (SET SQLSERVINST=%COMPUTERNAME%)

IF %SILENT% EQU 0 (
SET /P DBNAME=%CRREWPRMPT002%
)
IF "%DBNAME%" EQU " " (
SET EXITCODE=%CRREW4502E%
SET MESSAGE=%CRREWMSGE002%
GOTO done) 

IF %SILENT% EQU 0 (
SET /P CS_SCHEMA=%CRREWPRMPT025%
)
IF "%CS_SCHEMA%" EQU " " (
SET MESSAGE=%CRREWMSGE080%
SET EXITCODE=%CRREW4580E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P CS_PASSWORD=Enter password to set for the content store user:
)
IF "%CS_PASSWORD%" EQU " " (
SET MESSAGE=%CRREWMSGE081%
SET EXITCODE=%CRREW4581E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P DATA_HOME=%CRREWPRMPT008%
)
IF "%DATA_HOME%" EQU " " (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)

SET DATA_HOME=%DATA_HOME%\%DBNAME%

IF %SILENT% EQU 0 (
SET /P MSSQL_HOME=%CRREWPRMPT024%
)
IF "%MSSQL_HOME%" EQU " " (
SET MESSAGE=%CRREWMSGE079%
SET EXITCODE=%CRREW4579E%
GOTO done)

IF NOT EXIST "%DATA_HOME%" (
MKDIR "%DATA_HOME%") 

IF NOT EXIST logs\nul (MKDIR logs) ELSE (
RMDIR /S /Q logs
MKDIR logs
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4576E%
SET MESSAGE=%CRREWMSGE076%
GOTO done)

IF %SILENT% EQU 1 (
SETLOCAL ENABLEDELAYEDEXPANSION
sqlcmd -S %SQLSERVINST% -d %DBNAME% %MSSQL_CMD% -Q "SELECT COUNT(*) FROM %CS_SCHEMA%.CMCAPACITY"
IF "!ERRORLEVEL!" EQU "0" (
GOTO done)
)

sqlcmd -S %SQLSERVINST% -v DBNAME="%DBNAME%" CD="%CD%" MSSQL_HOME="%MSSQL_HOME%" DATA_HOME="%DATA_HOME%" %MSSQL_CMD% -i "%CD%"\createDB\createDB.sql>logs\createDB.log

java com.ibm.rational.vega.dw.SearchAndReplace HResult "%CD%"\logs\createDB.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
ECHO %CRREWECH003%
GOTO done)

rem java com.ibm.rational.vega.dw.SearchAndReplace Error "%CD%"\logs\createDB.log>nul
rem IF "%ERRORLEVEL%" EQU "1" (
rem SET MESSAGE=%CRREWMSGE013%  
rem SET EXITCODE=%CRREW4513E%
rem ECHO %CRREWECH003%
rem GOTO done)

java com.ibm.rational.vega.dw.SearchAndReplace Msg "%CD%"\logs\createDB.log>nul
IF "%ERRORLEVEL%" EQU "1" (
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
ECHO %CRREWECH003%
GOTO done)

sqlcmd -S %SQLSERVINST% -v DBNAME="%DBNAME%" CS_SCHEMA="%CS_SCHEMA%" CS_PASSWD="%CS_PASSWORD%" %MSSQL_CMD% -i "%CD%"\createDB\createUsers.sql>logs\createUsers.log
java com.ibm.rational.vega.dw.SearchAndReplace Msg "%CD%"\logs\createUsers.log>nul 
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
ECHO %CRREWECH026%
GOTO done)

sqlcmd -S %SQLSERVINST% -v DBNAME="%DBNAME%" CS_SCHEMA="%CS_SCHEMA%" %MSSQL_CMD% -i "%CD%"\cmstore.ddl>logs\cmstore.log
java com.ibm.rational.vega.dw.SearchAndReplace Msg "%CD%"\logs\cmstore.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE077%
SET EXITCODE=%CRREW4577E%
ECHO %CRREWECH029%
GOTO done)


GOTO done

:validate

SET EXITCODE=0
SET MESSAGE=No errors

IF NOT DEFINED DBNAME (
SET EXITCODE=%CRREW4502E%
SET MESSAGE=%CRREWMSGE002%
GOTO done) 

IF NOT DEFINED DATA_HOME   (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)

IF NOT DEFINED MSSQL_HOME  (
SET MESSAGE=%CRREWMSGE079%
SET EXITCODE=%CRREW4579E%
GOTO done)

IF NOT DEFINED CS_SCHEMA (
SET MESSAGE=%CRREWMSGE080%
SET EXITCODE=%CRREW4580E%
GOTO done)

IF NOT DEFINED CS_PASSWORD (
SET MESSAGE=%CRREWMSGE081%
SET EXITCODE=%CRREW4581E%
GOTO done)

IF "%CS_SCHEMA%" EQU " " (
SET MESSAGE=%CRREWMSGE080%
SET EXITCODE=%CRREW4580E%
GOTO done)

IF "%CS_PASSWORD%" EQU " " (
SET MESSAGE=%CRREWMSGE081%
SET EXITCODE=%CRREW4581E%
GOTO done)

IF "%DBNAME%" EQU " " (
SET EXITCODE=%CRREW4502E%
SET MESSAGE=%CRREWMSGE002%
GOTO done)

IF "%DATA_HOME%" EQU " " (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)

IF "%MSSQL_HOME%" EQU " " (
SET MESSAGE=%CRREWMSGE079%
SET EXITCODE=%CRREW4579E%
GOTO done)

IF NOT EXIST "%MSSQL_HOME%"\nul  (
SET MESSAGE=%CRREWMSGE079%
SET EXITCODE=%CRREW4579E%
GOTO done)

REG QUERY "HKCU\Control Panel\International" /v Locale>nul
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4585E%
SET MESSAGE=%CRREWMSGE085%
GOTO done
)



GOTO done

:done 
echo %MESSAGE%:%EXITCODE%
echo %CRREWECH002%
EXIT /B %EXITCODE%