#!/bin/ksh
# ******************************************************************************************************************************
# * Licensed Materials - Property of IBM                                                                                       *
# * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
# *                                                                                                                            *
# *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
# ******************************************************************************************************************************

#PROMPTS
CRREWPRMPT001="Enter DB2 Instance to use on `hostname`:"
CRREWPRMPT002="Enter name of the database to create:"
CRREWPRMPT003="Enter username to use to connect to the database:"
CRREWPRMPT004="Enter password for this user:"
CRREWPRMPT005="Enter schema under which the operational data store will be built:"
CRREWPRMPT006="Enter schema under which the star schema will be built:"
CRREWPRMPT007="Enter user name that will connect and run the reports:"
CRREWPRMPT008="Specify a base directory for the table space files:"
CRREWPRMPT009="Enter earliest year to populate the date dimension with:"
CRREWPRMPT010="Enter latest year to populate the date dimension with:"
CRREWPRMPT011="Enter the calendar type [1] for Gregorian [2] for ISO for the date dimension:"
CRREWPRMPT012="Enter a value of 1 for 10G  or 2 for 11G to designate the version of Oracle you are running:"
CRREWPRMPT013="Enter value for ORACLE_HOME:"
CRREWPRMPT014="Enter value for ORACLE_BASE:"
CRREWPRMPT015="Enter name [SID] of database to create, maximum length of name is 8 characters:"
CRREWPRMPT016="Enter password for SYS account:"
CRREWPRMPT017="Enter password for SYSTEM account:"
CRREWPRMPT018="Enter password for SYSMAN account:"
CRREWPRMPT019="Enter password for DBSNMP account:"
CRREWPRMPT020="Enter user name to create the DBA account:"
CRREWPRMPT021="Enter user password to for the DBA account:"
CRREWPRMPT022="Enter user password to use for the account that will connect and run the reports:"
CRREWPRMPT023="Enter SQL Server Instance to use on `hostname`.  If no value is specified the default instance will be used: "
CRREWPRMPT024="Specify the instance's base home directory e.g. c:/Microsoft SQL Server/MSSQL.1:"
CRREWPRMPT025="Enter user name to create to connect to the content store:"
CRREWPRMPT026="Enter password to for the content store user:"
CRREWPRMPT027="Enter java home directory for example C:\Program Files\IBM\Installation Manager\eclipse\jre_5.0.3.sr8a_20080811b\jre :"
CRREWPRMPT028="Enter name of the Insight database:"
CRREWPRMPT029="Enter schema under which the operational data store is built:"
CRREWPRMPT030="Enter schema under which the star schema is built:"
CRREWPRMPT031="Enter user name that is used to run reports:"

#ECHOS
CRREWECH001="DB2 Database Installation"
CRREWECH002="Exiting!!!"
CRREWECH003="Please review `pwd`/logs/createdb.log for error messages"
CRREWECH004="Please review `pwd`/logs/bufferpool.log for error messages"
CRREWECH005="Please review `pwd`/logs/tbspace.log for error messages"
CRREWECH006="Please review `pwd`/logs/createSTGCFG.log for error messages"
CRREWECH007="Please review `pwd`/logs/createNF.log for error messages"
CRREWECH008="Please review `pwd`/logs/createSTAR.log for error messages"
CRREWECH009="Please review `pwd`/logs/createSTARViews.log for error messages"
CRREWECH010="Please review `pwd`/logs/initCONFIG.log for error messages"
CRREWECH011="Please review `pwd`/logs/initNF.log for error messages"
CRREWECH012="Please review `pwd`/logs/initSTAR.log for error messages"
CRREWECH013="Please review `pwd`/logs/star_grants.log for error messages"
CRREWECH014="Please review `pwd`/logs/populate-D_DATE.log and `pwd`/logs/dtPopulate.log for error messages"
CRREWECH015="Please review `pwd`/logs/sampledw_obj.log for error messages"
CRREWECH016="Please review `pwd`/IMPORT.out"
CRREWECH017="Oracle Database Installation"
CRREWECH018="$ORACLE_HOME and $ORACLE_BASE should be specified before proceeding"
CRREWECH020="Please Refer to `pwd`/logs/createDBService.log "
CRREWECH021="Specify a different ORACLE_SID or drop the existing one and clean up the related directories before proceeding."
CRREWECH022="Please review `pwd`/logs/cmstore.log for error messages"
CRREWECH023="Please review `pwd`/logs/cmstore_trig.log for error messages"
CRREWECH024="SQL Server Database Installation"
CRREWECH025="Please review `pwd`/logs/createSchema.log for error messages"
CRREWECH026="Please review `pwd`/logs/createUsers.log for error messages"
CRREWECH027="Please review `pwd`/logs/createFileGroup.log for error messages"
CRREWECH028="Please review `pwd`/logs/createFile.log for error messages"
CRREWECH029="Please review `pwd`/logs/cmstore.log for error messages"
CRREWECH030="Please review `pwd`/logs/cmstore_proc.log for error messages"
CRREWECH031="Java home should be specified before proceeding"
CRREWECH032="Found set_env.bat file and executed it"
CRREWECH032="This process will migrate the Insight database.  Before you proceede make sure you have backed up your database.  Make sure the backup you have is valid and will allow for a full restore of the database if needed."




#ERROR MESSAGES
CRREWMSGE001="CRREW4501E: Error invalid instance specified"
CRREWMSGE002="CRREW4502E: Error invalid database name specified"
CRREWMSGE003="CRREW4503E: Error invalid database user name specified"
CRREWMSGE004="CRREW4504E: Error invalid database user password specified"
CRREWMSGE005="CRREW4505E: Error NF_SCHEMA schema can not be null"
CRREWMSGE006="CRREW4506E: Error STAR_SCHEMA schema can not be null"
CRREWMSGE007="CRREW4507E: Error REP_USER user name can not be null"
CRREWMSGE008="CRREW4508E: Error invalid table space directory"
CRREWMSGE009="CRREW4509E: Error START_YEAR can not be null"
CRREWMSGE010="CRREW4510E: Error END_YEAR can not be null"
CRREWMSGE011="CRREW4511E: Error CAL_TYPE can not be null"
CRREWMSGE012="CRREW4512E: Error CAL_TYPE can only be 1 or 2"
CRREWMSGE013="CRREW4513E: Error creating database "
CRREWMSGE014="CRREW4514E: Error creating buffer pools"
CRREWMSGE015="CRREW4515E: Error creating table spaces"
CRREWMSGE016="CRREW4516E: Error creating table CONFIG tables  "
CRREWMSGE017="CRREW4517E: Error creating table ODS tables"
CRREWMSGE018="CRREW4518E: Error creating table STAR tables"
CRREWMSGE019="CRREW4519E: Error creating table STAR views"
CRREWMSGE020="CRREW4520E: Error initializing CONFIG tables "
CRREWMSGE021="CRREW4521E: Error initializing ODS tables"
CRREWMSGE022="CRREW4522E: Error initializing STAR tables"
CRREWMSGE023="CRREW4523E: Error granting privileges"
CRREWMSGE024="CRREW4524E: Error failed to copy files"
CRREWMSGE025="CRREW4525E: Error populating date dimension table"
CRREWMSGE026="CRREW4526E: Error creating objects"
CRREWMSGE027="CRREW4527E: Error importing into DB2"
CRREWMSGE028="CRREW4528E: Error ORA_VERSION name can not be null"
CRREWMSGE029="CRREW4529E: Error ORA_VERSION is invalid"
CRREWMSGE030="CRREW4530E: Error invalid ORACLE_HOME specified"
CRREWMSGE031="CRREW4531E: Error invalid ORACLE_HOME specified"
CRREWMSGE032="CRREW4532E: Error invalid ORACLE_BASE specified"
CRREWMSGE034="CRREW4534E: Error invalid SID specified"
CRREWMSGE035="CRREW4535E: Error SYS account password can not be null"
CRREWMSGE036="CRREW4536E: Error SYSTEMPWD account password can not be null"
CRREWMSGE037="CRREW4537E: Error SYSMANPWD account password can not be null"
CRREWMSGE038="CRREW4538E: Error DBSNMPPWD account password can not be null"
CRREWMSGE039="CRREW4539E: Error DBA_USER account name can not be null"
CRREWMSGE040="CRREW4540E: Error DBA_PASSWORD account password can not be null"
CRREWMSGE041="CRREW4541E: Error NF_SCHEMA schema can not be null"
CRREWMSGE042="CRREW4542E: Error STAR_SCHEMA schema can not be null"
CRREWMSGE043="CRREW4543E: Error REP_USER user name can not be null"
CRREWMSGE044="CRREW4544E: Error REP_PASSWD can not be null"
CRREWMSGE046="CRREW4546E: Error HOST_NAME name can not be null"
CRREWMSGE053="CRREW4553E: Error ORACLE_SID  seems to already exist."
CRREWMSGE058="CRREW4558E: Error creating directory $DATA_HOME/oradata/$ORACLE_SID"
CRREWMSGE059="CRREW4559E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/adump"
CRREWMSGE060="CRREW4560E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/bdump"
CRREWMSGE061="CRREW4561E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/cdump"
CRREWMSGE062="CRREW4562E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/dpdump"
CRREWMSGE063="CRREW4563E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/pfile"
CRREWMSGE064="CRREW4564E: Error creating directory $ORACLE_BASE/admin/$ORACLE_SID/udump"
CRREWMSGE065="CRREW4565E: Error creating directory $ORACLE_HOME/cfgtoollogs/dbca/$ORACLE_SID"
CRREWMSGE066="CRREW4566E: Error creating directory $ORACLE_HOME/dbs"
CRREWMSGE067="CRREW4567E: Error creating directory $ORACLE_BASE/flash_recovery_area"
CRREWMSGE068="CRREW4568E: Error creating directory $ORACLE_BASE/oradata/$ORACLE_SID"
CRREWMSGE069="CRREW4569E: Error creating datatabase $ORACLE_SID"
CRREWMSGE070="CRREW4570E: Error creating 10g ORA files"
CRREWMSGE071="CRREW4571E: Error creating 11g ORA files"
CRREWMSGE072="CRREW4572E: Error importing into ORACLE"
CRREWMSGE073="CRREW4573E: Error enabling constraints"
CRREWMSGE074="CRREW4574E: Error enabling triggers"
CRREWMSGE075="CRREW4575E: Error modifying control files"
CRREWMSGE076="CRREW4576E: Error creating directory "
CRREWMSGE077="CRREW4577E: Error creating tables"
CRREWMSGE078="CRREW4578E: Error creating triggers"
CRREWMSGE079="CRREW4579E: Error invalid data file directory"
CRREWMSGE080="CRREW4580E: Error CS_SCHEMA can not be null"
CRREWMSGE081="CRREW4581E: Error CS_PASSWORD can not be null"
CRREWMSGE082="CRREW4582E: Error creating procedures"
CRREWMSGE083="CRREW4583E: Error importing into SQL Server"
CRREWMSGE084="CRREW4584E: Error connecting"
CRREWMSGE085="CRREW4585E: Error determining locale"
CRREWMSGE086="CRREW4586E: Error invalid calendar type. Specify 1 (Gregorian), 2 (ISO)"
CRREWMSGE087="CRREW4587E: Error START_YEAR is null OR greater than END_YEAR"
CRREWMSGE088="CRREW4588E: Error END_YEAR is null OR less than START_YEAR"
CRREWMSGE089="CRREW4589E: Error Warehouse schema not specified.  Specify a valid schema"
CRREWMSGE090="CRREW4590E: Error Date Dimension is corrupted, smallest date does not equal January 1rst"
CRREWMSGE091="CRREW4591E: Error Date Dimension is corrupted, largest date does not equal December 31rst"
CRREWMSGE092="CRREW4592E: Error Date Dimension unsupported calendar"
CRREWMSGE093="CRREW4593E: Error Date Dimension argument END_YEAR is less than MIN(YEAR) IN D_DATE"
CRREWMSGE094="CRREW4594E: Error Date Dimension argument START_YEAR is greater than MAX(YEAR) IN D_DATE"
CRREWMSGE095="CRREW4595E: Error REP_USER needs to be different from DBUSER"
CRREWMSGE096="CRREW4596E: Error Java home directory is invalid"
CRREWMSGE097="CRREW4597E: Error set_env.bat file not exist or failed to call"
CRREWMSGE098="CRREW4598E: Error cannot determine Insight version"
CRREWMSGE099="CRREW4599E: Error cannot determine target Insight version"
CRREWMSGE100="CRREW4600E: Error current version is greater than target version"
CRREWMSGE101="CRREW4601E: Error executing the statement"
CRREWMSGE102="CRREW4602E: Error there are dependent statements that have failled"
CRREWMSGE103="CRREW4603E: Error there are migration errors please review logs and the CONFIG.STATEMENT_LIST table"
CRREWMSGE104="CRREW4604E: Error there are errors creating the migration procedures please review logs"



#ERROR CODES
CRREW4501E="4501"
CRREW4502E="4502"
CRREW4503E="4503"
CRREW4504E="4504"
CRREW4505E="4505"
CRREW4506E="4506"
CRREW4507E="4507"
CRREW4508E="4508"
CRREW4509E="4509"
CRREW4510E="4510"
CRREW4511E="4511"
CRREW4512E="4512"
CRREW4513E="4513"
CRREW4514E="4514"
CRREW4515E="4515"
CRREW4516E="4516"
CRREW4517E="4517"
CRREW4518E="4518"
CRREW4519E="4519"
CRREW4520E="4520"
CRREW4521E="4521"
CRREW4522E="4522"
CRREW4523E="4523"
CRREW4524E="4524"
CRREW4525E="4525"
CRREW4526E="4526"
CRREW4527E="4527"
CRREW4528E="4528"
CRREW4529E="4529"
CRREW4530E="4530"
CRREW4531E="4531"
CRREW4532E="4532"
CRREW4534E="4534"
CRREW4535E="4535"
CRREW4536E="4536"
CRREW4537E="4537"
CRREW4538E="4538"
CRREW4539E="4539"
CRREW4540E="4540"
CRREW4541E="4541"
CRREW4542E="4542"
CRREW4543E="4543"
CRREW4544E="4544"
CRREW4546E="4546"
CRREW4553E="4553"
CRREW4558E="4558"
CRREW4559E="4559"
CRREW4560E="4560"
CRREW4561E="4561"
CRREW4562E="4562"
CRREW4563E="4563"
CRREW4564E="4564"
CRREW4565E="4565"
CRREW4566E="4566"
CRREW4567E="4567"
CRREW4568E="4568"
CRREW4569E="4569"
CRREW4570E="4570"
CRREW4571E="4571"
CRREW4572E="4572"
CRREW4573E="4573"
CRREW4574E="4574"
CRREW4575E="4575"
CRREW4576E="4576"
CRREW4577E="4577"
CRREW4578E="4578"
CRREW4579E="4579"
CRREW4580E="4580"
CRREW4581E="4581"
CRREW4582E="4582"
CRREW4583E="4583"
CRREW4584E="4584"
CRREW4585E="4585"
CRREW4586E="4586"
CRREW4587E="4587"
CRREW4588E="4588"
CRREW4589E="4589"
CRREW4590E="4590"
CRREW4591E="4591"
CRREW4592E="4592"
CRREW4593E="4593"
CRREW4594E="4594"
CRREW4595E="4595"
CRREW4596E="4596"
CRREW4597E="4597"
CRREW4598E="4598"
CRREW4599E="4599"
CRREW4600E="4600"
CRREW4601E="4601"
CRREW4602E="4602"
CRREW4603E="4603"
CRREW4604E="4604"

export CRREWPRMPT001 CRREWPRMPT002 CRREWPRMPT003 CRREWPRMPT004 CRREWPRMPT005 CRREWPRMPT006 CRREWPRMPT007 CRREWPRMPT008 CRREWPRMPT009 CRREWPRMPT010 CRREWPRMPT011 CRREWPRMPT012 CRREWPRMPT013 CRREWPRMPT014 CRREWPRMPT015 CRREWPRMPT016 CRREWPRMPT017 CRREWPRMPT018 CRREWPRMPT019 CRREWPRMPT020 CRREWPRMPT021 CRREWPRMPT022 CRREWPRMPT023 CRREWPRMPT024 CRREWPRMPT025 CRREWPRMPT026 CRREWPRMPT027 CRREWECH001 CRREWECH002 CRREWECH003 CRREWECH004 CRREWECH005 CRREWECH006 CRREWECH007 CRREWECH008 CRREWECH009 CRREWECH010 CRREWECH011 CRREWECH012 CRREWECH013 CRREWECH014 CRREWECH015 CRREWECH016 CRREWECH017 CRREWECH018 CRREWECH020 CRREWECH021 CRREWECH022 CRREWECH023 CRREWECH024 CRREWECH025 CRREWECH026 CRREWECH027 CRREWECH028 CRREWECH029 CRREWECH030 CRREWECH031 CRREWECH032 CRREWMSGE001 CRREWMSGE002 CRREWMSGE003 CRREWMSGE004 CRREWMSGE005 CRREWMSGE006 CRREWMSGE007 CRREWMSGE008 CRREWMSGE009 CRREWMSGE010 CRREWMSGE011 CRREWMSGE012 CRREWMSGE013 CRREWMSGE014 CRREWMSGE015 CRREWMSGE016 CRREWMSGE017 CRREWMSGE018 CRREWMSGE019 CRREWMSGE020 CRREWMSGE021 CRREWMSGE022 CRREWMSGE023 CRREWMSGE024 CRREWMSGE025 CRREWMSGE026 CRREWMSGE027 CRREWMSGE028 CRREWMSGE029 CRREWMSGE030 CRREWMSGE031 CRREWMSGE032 CRREWMSGE034 CRREWMSGE035 CRREWMSGE036 CRREWMSGE037 CRREWMSGE038 CRREWMSGE039 CRREWMSGE040 CRREWMSGE041 CRREWMSGE042 CRREWMSGE043 CRREWMSGE044 CRREWMSGE046 CRREWMSGE053 CRREWMSGE058 CRREWMSGE059 CRREWMSGE060 CRREWMSGE061 CRREWMSGE062 CRREWMSGE063 CRREWMSGE064 CRREWMSGE065 CRREWMSGE066 CRREWMSGE067 CRREWMSGE068 CRREWMSGE069 CRREWMSGE070 CRREWMSGE071 CRREWMSGE072 CRREWMSGE073 CRREWMSGE074 CRREWMSGE075 CRREWMSGE076 CRREWMSGE077 CRREWMSGE078 CRREWMSGE079 CRREWMSGE080 CRREWMSGE081 CRREWMSGE082 CRREWMSGE083 CRREWMSGE084 CRREWMSGE085 CRREWMSGE086 CRREWMSGE087 CRREWMSGE088 CRREWMSGE089 CRREWMSGE090 CRREWMSGE091 CRREWMSGE092 CRREWMSGE093 CRREWMSGE094 CRREWMSGE095 CRREWMSGE096 CRREWMSGE097 CRREW4501E CRREW4502E CRREW4503E CRREW4504E CRREW4505E CRREW4506E CRREW4507E CRREW4508E CRREW4509E CRREW4510E CRREW4511E CRREW4512E CRREW4513E CRREW4514E CRREW4515E CRREW4516E CRREW4517E CRREW4518E CRREW4519E CRREW4520E CRREW4521E CRREW4522E CRREW4523E CRREW4524E CRREW4525E CRREW4526E CRREW4527E CRREW4528E CRREW4529E CRREW4530E CRREW4531E CRREW4532E CRREW4534E CRREW4535E CRREW4536E CRREW4537E CRREW4538E CRREW4539E CRREW4540E CRREW4541E CRREW4542E CRREW4543E CRREW4544E CRREW4546E CRREW4553E CRREW4558E CRREW4559E CRREW4560E CRREW4561E CRREW4562E CRREW4563E CRREW4564E CRREW4565E CRREW4566E CRREW4567E CRREW4568E CRREW4569E CRREW4570E CRREW4571E CRREW4572E CRREW4573E CRREW4574E CRREW4575E CRREW4576E CRREW4577E CRREW4578E CRREW4579E CRREW4580E CRREW4581E CRREW4582E CRREW4583E CRREW4584E CRREW4585E CRREW4586E CRREW4587E CRREW4588E CRREW4589E CRREW4590E CRREW4591E CRREW4592E CRREW4593E CRREW4594E  CRREW4595E CRREW4596E CRREW4597E CRREWMSGE098 CRREWMSGE099 CRREWMSGE100 CRREWMSGE101 CRREWMSGE102 CRREW4598E CRREW4599E CRREW4600E CRREW4601E CRREW4602E CRREWECH032 CRREW4603E CRREW4604E CRREWMSGE103 CRREWMSGE104 CRREWPRMPT028 CRREWPRMPT029 CRREWPRMPT030 CRREWPRMPT031
