--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

USE $(DBNAME)
 GO
CREATE SCHEMA AUTHORIZATION CONFIG
GO

CREATE TABLE CONFIG.ETL_INFO
(ETL_ID NVARCHAR(36) NOT NULL,
	START_DATETIME DATETIME DEFAULT GETDATE() NOT NULL ,
	END_DATETIME DATETIME,
	STATUS INT ,
	DATASOURCE_ID NVARCHAR(36) NOT NULL,
	LOAD_TYPE NCHAR(1) DEFAULT 'D' NOT NULL)
ON VNF_32K 
GO


CREATE TABLE CONFIG.SYSCONFIG_INFO
 (INFO_ID INT  NOT NULL,
 NAME NVARCHAR(100) NOT NULL,
 DISPLAY_NAME NVARCHAR(100),
 INT_VALUE INT ,
 CHAR_VALUE NVARCHAR(100),
 REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)
ON VNF_32K 
GO


ALTER TABLE CONFIG.ETL_INFO ADD CONSTRAINT ETLINF_PK PRIMARY KEY (ETL_ID) ON  VNF_IDX
GO
ALTER TABLE CONFIG.SYSCONFIG_INFO ADD CONSTRAINT SYSCFG_PK PRIMARY KEY (INFO_ID) ON  VNF_IDX
GO

CREATE TABLE CONFIG.EXTERNAL_MAPPING
(MSTERSHIP_SOURCE_ID NVARCHAR(36),
 TARGET_SOURCE_ID NVARCHAR(36),
 MASTER_PROJECT_ID INT ,
 MASTER_REQUIREMENT_ID INT ,
 MASTER_REQUEST_ID INT ,
 MASTER_FILESTREAM_ID INT ,
 TARGET_PROJECT_ID INT ,
 TARGET_REQUIREMENT_ID INT ,
 TARGET_REQUEST_ID INT ,
 TARGET_FILESTREAM_ID INT ,
 MASTER_EXTERNAL_KEY1 INT ,
 MASTER_EXTERNAL_KEY2 NVARCHAR(40),
 TARGET_EXTERNAL_KEY1 INT ,
 TARGET_EXTERNAL_KEY2 NVARCHAR(40),
 MASTER_PROJECT_NAME NVARCHAR(255),
 MASTER_REQUIREMENT_NAME NVARCHAR(255),
 MASTER_REQUEST_NAME NVARCHAR(255),
 MASTER_FILESTREAM_NAME NVARCHAR(255),
 TARGET_PROJECT_NAME NVARCHAR(255),
 TARGET_REQUIREMENT_NAME NVARCHAR(255),
 TARGET_REQUEST_NAME NVARCHAR(255),
 TARGET_FILESTREAM_NAME NVARCHAR(255),
 REC_DATETIME DATETIME DEFAULT GETDATE() NOT NULL)
ON VNF_32K 
GO

 